Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Interface GVTFont

All Known Implementing Classes:
  AWTGVTFont, SVGGVTFont

    public interface GVTFont

An interface for all GVT font classes.

Method Summary
`boolean` | `canDisplay(char c)` Checks if this Font has a glyph for the specified character.
`int` | `canDisplayUpTo(char[] text, int start, int limit)` Indicates whether or not this Font can display the characters in the specified text starting at start and ending at limit.
`int` | `canDisplayUpTo(CharacterIterator iter, int start, int limit)` Indicates whether or not this Font can display the the characters in the specified CharacterIterator starting at start and ending at limit.
`int` | `canDisplayUpTo(String str)` Indicates whether or not this Font can display a specified String.
`GVTGlyphVector` | `createGlyphVector(FontRenderContext frc, char[] chars)` Returns a new GlyphVector object created with the specified array of characters and the specified FontRenderContext.
`GVTGlyphVector` | `createGlyphVector(FontRenderContext frc, CharacterIterator ci)` Returns a new GlyphVector object created with the specified CharacterIterator and the specified FontRenderContext.
`GVTGlyphVector` | `createGlyphVector(FontRenderContext frc, int[] glyphCodes, CharacterIterator ci)` Returns a new GlyphVector object created with the specified integer array and the specified FontRenderContext.
`GVTGlyphVector` | `createGlyphVector(FontRenderContext frc, String str)` Returns a new GlyphVector object created with the specified String and the specified FontRenderContext.
`GVTFont` | `deriveFont(float size)` Creates a new Font object by replicating the current Font object and applying a new size to it.
`String` | `getFamilyName()` Returns the font family name of this font.
`float` | `getHKern(int glyphCode1, int glyphCode2)` Returns the vertical kerning value of this glyph pair.
`GVTLineMetrics` | `getLineMetrics(char[] chars, int beginIndex, int limit, FontRenderContext frc)` Returns a GVTLineMetrics object created with the specified arguments.
`GVTLineMetrics` | `getLineMetrics(CharacterIterator ci, int beginIndex, int limit, FontRenderContext frc)` Returns a GVTLineMetrics object created with the specified arguments.
`GVTLineMetrics` | `getLineMetrics(String str, FontRenderContext frc)` Returns a GVTLineMetrics object created with the specified String and FontRenderContext.
`GVTLineMetrics` | `getLineMetrics(String str, int beginIndex, int limit, FontRenderContext frc)` Returns a GVTLineMetrics object created with the specified arguments.
`float` | `getSize()` Returns the size of this font.
`float` | `getVKern(int glyphCode1, int glyphCode2)` Returns the horizontal kerning value of this glyph pair.
`String` | `toString()`

Method Detail

### canDisplay

    boolean canDisplay(char c)

  Checks if this Font has a glyph for the specified character.

### canDisplayUpTo

    int canDisplayUpTo(char[] text,
                       int start,
                       int limit)

  Indicates whether or not this Font can display the characters in the specified text starting at start and ending at limit.

### canDisplayUpTo

    int canDisplayUpTo(CharacterIterator iter,
                       int start,
                       int limit)

  Indicates whether or not this Font can display the the characters in the specified CharacterIterator starting at start and ending at limit.

### canDisplayUpTo

    int canDisplayUpTo(String str)

  Indicates whether or not this Font can display a specified String.

### createGlyphVector

    GVTGlyphVector createGlyphVector(FontRenderContext frc,
                                     char[] chars)

  Returns a new GlyphVector object created with the specified array of characters and the specified FontRenderContext.

### createGlyphVector

    GVTGlyphVector createGlyphVector(FontRenderContext frc,
                                     CharacterIterator ci)

  Returns a new GlyphVector object created with the specified CharacterIterator and the specified FontRenderContext.

### createGlyphVector

    GVTGlyphVector createGlyphVector(FontRenderContext frc,
                                     int[] glyphCodes,
                                     CharacterIterator ci)

  Returns a new GlyphVector object created with the specified integer array and the specified FontRenderContext.

### createGlyphVector

    GVTGlyphVector createGlyphVector(FontRenderContext frc,
                                     String str)

  Returns a new GlyphVector object created with the specified String and the specified FontRenderContext.

### deriveFont

    GVTFont deriveFont(float size)

  Creates a new Font object by replicating the current Font object and applying a new size to it.

### getFamilyName

    String getFamilyName()

  Returns the font family name of this font.

### getLineMetrics

    GVTLineMetrics getLineMetrics(char[] chars,
                                  int beginIndex,
                                  int limit,
                                  FontRenderContext frc)

  Returns a GVTLineMetrics object created with the specified arguments.

### getLineMetrics

    GVTLineMetrics getLineMetrics(CharacterIterator ci,
                                  int beginIndex,
                                  int limit,
                                  FontRenderContext frc)

  Returns a GVTLineMetrics object created with the specified arguments.

### getLineMetrics

    GVTLineMetrics getLineMetrics(String str,
                                  FontRenderContext frc)

  Returns a GVTLineMetrics object created with the specified String and FontRenderContext.

### getLineMetrics

    GVTLineMetrics getLineMetrics(String str,
                                  int beginIndex,
                                  int limit,
                                  FontRenderContext frc)

  Returns a GVTLineMetrics object created with the specified arguments.

### getSize

    float getSize()

  Returns the size of this font.

### getVKern

    float getVKern(int glyphCode1,
                   int glyphCode2)

  Returns the horizontal kerning value of this glyph pair.

### getHKern

    float getHKern(int glyphCode1,
                   int glyphCode2)

  Returns the vertical kerning value of this glyph pair.

### toString

    String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.